
#include<stdio.h>
#include<avr/io.h>
#include"clock.h"
#include<util/delay.h>
#include "usart0.h"

void configureClock(void);

#define ARRAY_LEN 100

char rxBuf[ARRAY_LEN] = {0x65};

int main(void) {
    
    USART0_Init(); 
    configureClock();  
 
    _delay_ms(1000);

    for (int i = 0; i < ARRAY_LEN; i++)
    {
        rxBuf[i]= 0x65;
    }
   rxBuf[ARRAY_LEN-1] = '\0';
 
    printf("%s", rxBuf);
    
    while(1);
}



void configureClock(void)
{
    CPU_CCP = CCP_IOREG_gc;
    CLKCTRL.OSCHFCTRLA = CLKCTRL_FRQSEL_24M_gc;  // 24 MHz output
}
